From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/texmacs/
Date: Wed, 24 Jan 2018 06:41:44 +0000 (UTC) [thread overview]
Message-ID: <1516776063.4009e101a80b0638ff151b1ef4f7763a71e7a259.grozin@gentoo> (raw)
commit: 4009e101a80b0638ff151b1ef4f7763a71e7a259
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 24 06:40:14 2018 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Wed Jan 24 06:41:03 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4009e101
app-office/texmacs: correct Qt5 dependencies
Bug: https://bugs.gentoo.org/644606
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-office/texmacs/texmacs-1.99.6-r2.ebuild | 73 +++++++++++++++++++++++++++++
1 file changed, 73 insertions(+)
diff --git a/app-office/texmacs/texmacs-1.99.6-r2.ebuild b/app-office/texmacs/texmacs-1.99.6-r2.ebuild
new file mode 100644
index 00000000000..a5c61a4633f
--- /dev/null
+++ b/app-office/texmacs/texmacs-1.99.6-r2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils xdg-utils gnome2-utils qmake-utils
+
+MY_P=${P/tex/TeX}-src
+
+DESCRIPTION="Wysiwyg text processor with high-quality maths"
+HOMEPAGE="http://www.texmacs.org/"
+SRC_URI="ftp://ftp.texmacs.org/pub/TeXmacs/tmftp/source/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="jpeg netpbm sqlite svg spell"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ app-text/ghostscript-gpl
+ <dev-scheme/guile-1.9[deprecated]
+ media-libs/freetype
+ x11-apps/xmodmap
+ x11-libs/libXext
+ virtual/latex-base
+ >=dev-qt/qtcore-5.9.1:5
+ >=dev-qt/qtgui-5.9.1:5
+ >=dev-qt/qtwidgets-5.9.1:5
+ >=dev-qt/qtprintsupport-5.9.1:5
+ sqlite? ( dev-db/sqlite )
+ jpeg? ( || ( media-gfx/imagemagick media-gfx/jpeg2ps ) )
+ netpbm? ( media-libs/netpbm )
+ spell? ( app-text/aspell )
+ svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
+"
+DEPEND="${RDEPEND}
+ x11-proto/xproto"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ # respect LDFLAGS, bug #338459
+ "${FILESDIR}"/${PN}-plugins-1.patch
+
+ # dont update mime and desktop databases and icon cache
+ "${FILESDIR}"/${PN}-updates.patch
+
+ "${FILESDIR}"/${PN}-1.99.2-desktop.patch
+
+ # remove new/delete declarations, bug 590002
+ "${FILESDIR}"/${PN}-1.99-remove-new-declaration.patch
+
+ "${FILESDIR}"/${PN}-1.99.6-math_util.patch
+)
+
+src_configure() {
+ local mycmakeargs=(
+ -DUSE_SQLITE=$(usex sqlite sqlite3)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
next reply other threads:[~2018-01-24 6:41 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-01-24 6:41 Andrey Grozin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 6:04 [gentoo-commits] repo/gentoo:master commit in: app-office/texmacs/ Andrey Grozin
2024-11-10 13:31 Andreas Sturmlechner
2022-07-16 22:44 Sam James
2022-06-21 9:43 Ulrich Müller
2022-06-21 9:43 Ulrich Müller
2021-02-05 22:19 Sam James
2020-12-25 16:44 Andreas Sturmlechner
2020-12-25 16:44 Andreas Sturmlechner
2019-08-06 9:56 Andrey Grozin
2019-06-29 6:04 Andrey Grozin
2018-05-06 18:25 Matt Turner
2018-03-30 17:14 Aaron Bauman
2017-12-28 16:09 Andrey Grozin
2016-08-11 15:57 Andrey Grozin
2016-08-11 15:53 Andrey Grozin
2016-07-31 20:51 Michael Palimaka
2016-07-31 20:04 David Seifert
2016-07-31 19:58 David Seifert
2016-07-31 11:32 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1516776063.4009e101a80b0638ff151b1ef4f7763a71e7a259.grozin@gentoo \
--to=grozin@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox